# pqxx::field_streambuf< CHAR, TRAITS > Class Template Reference

`#include <result.hxx>`

List of all members.

## Public Types
typedef CHAR | char_type
typedef TRAITS | traits_type
typedef traits_type::int_type | int_type
typedef streamoff | off_type
typedef streampos | pos_type
typedef std::ios::openmode | openmode
typedef std::ios::seekdir | seekdir
## Public Member Functions
| field_streambuf (const result::field &F)
virtual int | sync ()
## Protected Member Functions
virtual pos_type | seekoff (off_type, seekdir, openmode)
virtual pos_type | seekpos (pos_type, openmode)
virtual int_type | overflow (int_type)
virtual int_type | underflow ()

### template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>
class pqxx::field_streambuf< CHAR, TRAITS >

## Member Typedef Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef CHAR pqxx::field_streambuf< CHAR, TRAITS >::char_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::int_type pqxx::field_streambuf< CHAR, TRAITS >::int_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef streamoff pqxx::field_streambuf< CHAR, TRAITS >::off_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef std ::ios::openmode pqxx::field_streambuf< CHAR, TRAITS >::openmode

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef streampos pqxx::field_streambuf< CHAR, TRAITS >::pos_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef std ::ios::seekdir pqxx::field_streambuf< CHAR, TRAITS >::seekdir

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef TRAITS pqxx::field_streambuf< CHAR, TRAITS >::traits_type

## Constructor & Destructor Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

pqxx::field_streambuf< CHAR, TRAITS >::field_streambuf | ( | const result::field & | F | ) | `[explicit]`

## Member Function Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

virtual int_type pqxx::field_streambuf< CHAR, TRAITS >::overflow | ( | int_type |  | ) | `[protected, virtual]`

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

virtual pos_type pqxx::field_streambuf< CHAR, TRAITS >::seekoff | ( | off_type | ,
|  | seekdir | ,
|  | openmode |  |
| ) |  |  | `[protected, virtual]`

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

virtual pos_type pqxx::field_streambuf< CHAR, TRAITS >::seekpos | ( | pos_type | ,
|  | openmode |  |
| ) |  |  | `[protected, virtual]`

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

virtual int pqxx::field_streambuf< CHAR, TRAITS >::sync | ( |  | ) | `[virtual]`

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

virtual int_type pqxx::field_streambuf< CHAR, TRAITS >::underflow | ( |  | ) | `[protected, virtual]`

The documentation for this class was generated from the following file:

- result.hxx